Name:           perl-Net-IPv4Addr
Version:        0.10
Release:        29
Summary:        Perl extension for manipulating IPv4 addresses
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-IPv4Addr/
Source0:        http://search.cpan.org/CPAN/authors/id/F/FR/FRAJULAC/Net-IPv4Addr-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
# Getopt::Long not used at tests
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests only
BuildRequires:  perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(AutoLoader)
Requires:       perl(Exporter)
Obsoletes:      perl-Network-IPv4Addr < 0.10-1

%description
Net::IPv4Addr provides functions for parsing IPv4 addresses both in traditional
address/netmask format and in the new CIDR format. There are also methods for
calculating the network and broadcast address and also to see check if a given
address is in a specific network.

%prep
%setup -q -n Net-IPv4Addr-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ChangeLog NEWS README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man?/*
